Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory.PBE_PKCS12

    java.lang.Object
      |
      +--javax.crypto.SecretKeyFactorySpi
            |
            +--org.bouncycastle.jce.provider.JCESecretKeyFactory
                  |
                  +--org.bouncycastle.jce.provider.JCESecretKeyFactory.PBE_PKCS12

Enclosing class:
  JCESecretKeyFactory

public static class JCESecretKeyFactory.PBE_PKCS12
extends JCESecretKeyFactory

PBE password processing for PKCS12 - unicode, big endian order, with two zero pad bytes.

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.PBE_PKCS12, JCESecretKeyFactory.PBE_PKCS5`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`algName`

Constructor Summary
`JCESecretKeyFactory.PBE_PKCS12()`

Method Summary
`protected javax.crypto.SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)`

Methods inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCESecretKeyFactory.PBE_PKCS12

    public JCESecretKeyFactory.PBE_PKCS12()

Method Detail

### engineGenerateSecret

    protected javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGenerateSecret` in class `JCESecretKeyFactory`
    `java.security.spec.InvalidKeySpecException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD